const { app, BrowserWindow } = require('electron');
const path = require('path');

function createWindow() {
  const win = new BrowserWindow({
    width: 500,
    height: 600,
    resizable: false,
    icon: path.join(__dirname, 'EggTarutaru.ico'),
    frame: false, // ← タイトルバーを非表示に
    webPreferences: {
      nodeIntegration: true,
      contextIsolation: false,
    }
  });

  win.setMenu(null);
  win.loadFile('index.html');
}

app.whenReady().then(createWindow);
